Skip to content
agentsub
Esc
↑↓navigate↵open⌘Jpreview

Read webhook delivery events and actual attempt receipts

GET/v1/merchants/{id}/webhook/events
Authorization
AuthorizationBearer token (JWT) · headerrequired

Clerk human owner session JWT; iss must equal the configured Clerk issuer and the identity must be a human (not agent) owner with a verified email.

or
AuthorizationOAuth2 access token · headerrequired
Scopes:agentsub:owner
Path parameters
idstringrequired
Responses
200

Successful response

eventsWebhookEvent[]
Show properties
Array of WebhookEvent
eventIdstring
merchantIdstring
redemptionIdstring
typestring
statestring
lastErrorstring
amountUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
attemptsinteger
nextAttemptAtinteger
createdAtinteger
lastAttemptAtinteger
lastStatusinteger
receiptsobject[]
Show properties
Array of object
attemptinteger
startedAtinteger
finishedAtinteger
statusinteger
errorstring
deliveredboolean
queueConfiguredboolean
401

unauthorized problem; live 401s advertise WWW-Authenticate: Bearer resource_metadata=...

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
403

Identity, ownership, scope or policy denied (human_required, owner_claim_required, scope_required, FROZEN, CAP_EXCEEDED, SCOPE_FORBIDDEN)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
503

Runtime or provider configuration unavailable (runtime_configuration_required, signing_configuration_required, runtime_unavailable, workspace_unavailable, provider_configuration_required)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
Request
curl -X GET 'https://api.agentsub.dev/v1/merchants/string/webhook/events' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "events": [
    {
      "eventId": "string",
      "merchantId": "string",
      "redemptionId": "string",
      "type": "string",
      "state": "string",
      "lastError": "string",
      "amountUc": "string",
      "attempts": 0,
      "nextAttemptAt": 0,
      "createdAt": 0,
      "lastAttemptAt": 0,
      "lastStatus": 0,
      "receipts": [
        {
          "attempt": 0,
          "startedAt": 0,
          "finishedAt": 0,
          "status": 0,
          "error": "string",
          "delivered": true
        }
      ]
    }
  ],
  "queueConfigured": true
}